#
# spec file for package cqrlog
#
# Copyright (c) 2017 Walter Fey DL8FCL
#
# This file is under MIT license

Name:           cqrlog
Version:        2.5.2
Release:        1.556
Summary:        Advanced ham radio log program
License:        GPL-2.0-only
Group:          Productivity/Hamradio/Logging
URL:            https://www.cqrlog.com/
Source:         cqrlog-%{version}.tar.gz
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  lazarus
BuildRequires:	libopenssl-devel
BuildRequires:  update-desktop-files
Requires:       libmariadb-devel
Requires:       hamlib
Recommends:     tqsl
Recommends:     xplanet

%description
CQRLOG is an advanced ham radio logger based on MySQL database. Provides radio
control based on hamlib libraries, DX cluster connection, online callbook,
a grayliner, internal QSL manager database support and a most accurate country
resolution algorithm based on country tables developed by OK1RR. CQRLOG is
intended for daily general logging of HF, CW & SSB contacts and strongly
focused on easy operation and maintenance.

%prep
%setup -q
dos2unix members/*
dos2unix ctyfiles/*

%build
export CFLAGS="%{optflags}"
export LDFLAGS="%{?__global_ldflags}"
make %{?_smp_mflags}

%install
%make_install
rm %{buildroot}/%{_datadir}/applications/cqrlog.desktop
mv %{buildroot}/%{_datadir}/pixmaps/cqrlog/cqrlog.png %{buildroot}/%{_datadir}/pixmaps
rm -rf %{buildroot}/%{_datadir}/icons/cqrlog
rm -rf %{buildroot}/%{_datadir}/pixmaps/cqrlog
iconv -f iso8859-1 -t utf-8 %{buildroot}%{_datadir}/%{name}/ctyfiles/eqsl.txt > %{buildroot}%{_datadir}/%{name}/ctyfiles/eqsl.txt.conv && mv -f %{buildroot}%{_datadir}/%{name}/ctyfiles/eqsl.txt.conv %{buildroot}%{_datadir}/%{name}/ctyfiles/eqsl.txt
%fdupes -s %{buildroot}/%{_datadir} 
%suse_update_desktop_file -c cqrlog CQRLOG "Hamradio logging program" cqrlog cqrlog "Network;HamRadio"

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.gz
%exclude %{_datadir}/icons/%{name}.png

%changelog
* Fri Feb 12 2021 Mariusz Woźniak <sp6ina@pzk.pl>
- Update to version 2.5.2
  * some contest window improvements (showing DXCC, WAZ, ITU, continent)
  * FST4 mode support added (Saku, OH1KH)
  * user can change the locator to use in ADIF import (Florian, DF2ET)
  * CW messages can be saved or loaded from a file (Saku, OH1KH)
  * eQSL upload fixes (Saku, OH1KH)
  * ADIF import duplicate check fixed, form layout fixed (Saku, OH1KH)
  * New QSO window layout fixes (Saku, OH1KH)
  * workaround for 'TRegExpr exec: empty input string' error in fpc compiler
  * xdg-open is used in Call extra data window to open the attachments
* Sun Jan 24 2021 Mariusz Woźniak <sp6ina@pzk.pl>
- Update to version 2.5.1
  * Winkeyer didn't work (Saku, OH1KH)
  * CW was interrupted with every move from callsign/mode/rst fields
  * QTH Profile numbering (Saku, OH1KH)
* Tue Jan 19 2021 Mariusz Woźniak <sp6ina@pzk.pl>
- Update to version 2.5.0
    3 user defined buttons for TRX control (Saku, OH1KH)
    TX quick split using XIT (Saku, OH1KH)
    support of WPM changes from macros when using Hamlib keyer (Saku, OH1KH)
    include operator's callsign in the exports (Florian, DF2ET)
    view eQSL image from list of QSO (Saku, OH1KH)
    button to show remote station on a map with path and direction (Florian, DF2ET)
    buttons for adding Mode-RST_sent, Locators_propagation and user defined message to DX spot sending (Saku, OH1KH)
    ADIF import for JS8, FT4 and PKT (Andreas, DL7OAP)
    local oscilator configuration added (Florian, DF2ET)
    user can spot RX freq instead of TX (Florian, DF2ET)
    export to EDI (Florian, DF2ET)
    separate CW keyer settings for radio1 and radio2 (Saku, OH1KH)
    rotor controls updated (Saku, OH1KH)
    contest filter added (Florian, DF2ET)
    working with WSJT improved
    Cabrillo export headers (Saku, OH1KH & Florian, DF2ET)
    DARK DOK info support added (Florian, DF2ET & Andreas, DL7OAP)
    Cabrillo export added (Florian, DF2ET)
    DX cluster improved (Saku, OH1KH)
    Add option to upload SAT status info to AMSAT status page (Florian, DF2ET)
    Calculate SAT mode from freq and RX freq. Used in eqsl.cc upload and ADIF/HTML exports (Florian, DF2ET)
    fixes for club membership (Saku, OH1KH & Andreas, DL7OAP)
    fixes for password special characters (Saku, OH1KH)
    fixes to ADIF export rules (Andreas, DL7OAP)
    fixes to contest window (Saku, OH1KH)
    band <->frequency fixes (Saku, OH1KH)
    UTF-8 problems in ADIF (Saku, OH1KH)
    JTDX & JS8CALL fixes (Saku, OH1KH)
    typo in satellite EO-80 (Andreas, DL7OAP)
    layout fixes for QT5 compilation (Saku, OH1KH)
    filter to take fix (Saku, OH1KH)
    eQSL upload fixes (Saku, OH1KH)
    CQ monitor fixes (Saku, OH1KH)
    CW keys fixes (Saku, OH1KH)
    RBN monitor fixes (Saku, OH1KH)
    new membership files check fixed
    export to HTML and ADIF fixes (Saku, OH1KH)
    group edit fixes (Saku, OH1KH)
    filter settings fixes (Saku, OH1KH)
    QTH profile fixes (Saku, OH1KH)
    callbook database update fixes (Saku, OH1KH)
* Mon Feb 24 2020 Mariusz Woźniak <sp6ina@pzk.pl>
- Update to version 2.4.0
  * update sat_name.tab with newest lotw satellite list (Andy, DL7OAP)
  * some layout changes and code refactoring
  * feature to select rectangular geometry in the xplanet preferences (Andy, DL7OAP)
  * ADIF import: implement filter by date range (gl-bars)
  * Initial Skimmer Support (Olli, DH2WQ)
  * Show own position on xplanet (Florian, DF2ET)
  * Add to bandpmap works also in Contest window (Saku, OH1KH)
  * WSJT integration improved (Saku, OH1KH)
  * N1MM Remote mode improved (Saku, OH1KH)
  * fixed bug with CTRL+END and/or CTRL+HOME
  * fixed encoding passwords for HamQTH - (Andy, DL7OAP)
  * AutoMark QSL issue fixed (Andy, DL7AOP)
  * eQSL download fixed (Saku, OH1KH)
* Sun Feb 24 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 2.3.0
  * wsjt-x: stop TX if split answer to CQ not accepted by caller
  * TRXcontrol: M_Wri-button. Sets memory entry from current
    rig frequency and mode
  * Wsjt-x CQ-monitor: new features Wsjt-map ColorBack and xplanet
    support.
  * Cq-monitor: Overtimed entries turn silvergray in Follow and
    "no history"
  * Band selector to Filter windows added
  * CQ-monitor Delta Freqyency instead of Time when "no history"
    checked
  * TRXConterol window. Buttons for Power ON/OFF/STANDBY. Sends
    corrsponding rigctld cmds to current rig
  * Start and stop scripts. Called when cqrlog is up and running
    and before closing all down.
  * StartConnectCommand added to DXCluster
  * when remote preferences open to fldigi/wsjt tab
  * auto update membership files added (has to be enabled in
    Prefereces, first)
  * mode field can now store 12 characters (was 10), added mode
    DIGITALVOICE
  * support for satellite QSO added
  * eQSL ADIF import now also uses submodes from the ADIF
    specification to match qsos in log
  * eQSL ADIf import now also uses timestamp from log (+/-60min)
    together with timestamp from eQSL to match qsos
  * CWtype/letter mode: doubling a .. z removed
  * Worked grids map: Mode selector did not load user's additions
    (digimodes)
  * Filter section QSL. Controls over group box. Tighter setting of
    controls
  * xplanet support/DXCluster was reversing colors RGB to BGR
  * grid map: loc and qso counters fixed. Default start fixed as
    all/any. Default save as jpg.
  * QSO Filter layout fixed
  * DXCluster/WEB Font button not connected to acFont (no action).
  * wsjtx logging take start and stop times to log (before just
    stop time)
  * fldigi remote socket checking fixed
  * loading libbsl library didn't work on 32bit system - fixed
  * LoTW import bug when having multiple QSOs with the same station,
    on the same band and day fixed
  * export QSO for LoTW to local adif file fixed
  * problem with number rewrite in report field fixed
  * after edit call/freq/mode/rst_s/rst_r qso were uploaded and
    deleted from online log several times - fixed
- Update to version 2.2.0
  * wsjt remote mode improvements
  * CQ-monitor now remembers showing state
  * "My Alert" is now compared oppsite way: This should fit
    also compound callsign XX/YOURCALL or YOURCALL/XX
  * CQ-monitor:  Country names (cut to length 15) are now displayed
    instead of callsign prefixes.
  * "Show only active band" checkbox addec to Band map filter for
    quick access.
  * "Re/Set" button added to Export "Choose fields to export" dialog
    for set/reset all check boxes in one go.
  * a lot of CQ monitor improvements
  * remote wsjt: Short cut key Ctrl+J
  * help files updated
  * Voice keyer works now also with FM and AM modes and also from
    CWkeys window
  * QSO in QSO list window can be sorted in ascending date/time order
    (oldes QSO first).
  * CQRLOG should work correcly on HiDPI monitors
  * 630M definition was missing.
  * ADIF upload didn't work when name or QTH were too long
- Update to version 2.1.0
  * wsjt remote mode improvements
  * wsjt cq monitor added
  * worked grids map added
  * simple Contest window added
  * dx cluster window improved
  * propagation from DK0WCY added
  * reminder added
  * CTRL+Z in dx cluster command line scrolls back last
    5 commands
  * callsign for DX cluster alert can be defined using
    regular expressions
  * dx cluster alert now allows partial callsigns
    (e.g. OL200, OK etc.)
  * Show QSO older then user defined date with different color
  * JT4, JT9 and FT8 modes added
* Mon Mar 13 2017 dl8fcl@darc.de
- update to version 2.0.5
  * sort by gridsquare added to filter
  * new log number is choosen automatically
  * parity parameter for rigctld should be serial_parity
* Fri Jan 13 2017 dl8fcl@darc.de
- update to version 2.0.4
  * fixed crash after startup
  * new icon courtesy by Serge, ON4AA
  * "Remarks" renamed to "Comment to QSO" in group edit
  * Group edit of Comment to QSO was always converted to uppercase
  * RST_S and RST_R default walues from Preferences have been ignored
  * cqrlog crashed after recent DXCC tables update - fixed
* Tue Aug 30 2016 dl8fcl@t-online.de
- update to version 2.0.2
  * QSLMSG added to ADIF export for eQSL
  * CW type window didn't show - fixed
  * TRX control set LSB to 60M instead of USB - fixed
  * CW type window didn't show - fixed
* Sat Jul  9 2016 dl8fcl@darc.de
- update to version 2.0.1
  * fixed "TApplication.HandleException TControl.InvalidatePreferredSize loop"
  * frequency memories didn't switch between AM and FM when radio is on USB or LSB - fixed
  * bandmap didn't show CW spots when radio was in CWR mode - fixed
  * statistics and filter with group by didn't work on MySQL 5.7 - fixed
  * rigctld where not closed after closing cqrlog - fixed (Bill, WK2X)
  * RBN monitor window was always opened after program started - fixed
  * loading FromDate and ToDate from membership files fixed
  * fixed compiling for ARM64, powerpc and other non x86 platforms
- version 2.0.0
  * MariaDB 10.1 support added
  * Frequency memories added
  * list of previous QSO should be much faster on older computers
  * "Always overwrite only CQ, ITU zones, county and US state from callbook" option added
  * callbook is used for better DXCC and state recognition
  * new database connection error window with small how to
  * the db error window can open mysql.err
  * Do NOT upload changes to online logs" option to Rebuild membership added
  * all comments to callsign can be modified (NewQSO window -> File -> Comment to callsigns)
  * transverter support added (you can set RX and TX offset for each band)
  * connection to database improved (MySQL 5.1, 5.5, 5.6, 5.7 and MariaDB 10.0.x, 10.1 should work)
  * you can choose which fields will be exported also just before export
  * export has CTRL+E shortcut
  * CW type window was not sizeable - fixed
  * password to LoTW/eQSL could not have special characters - fixed
  * program crashed after opening Preferences when path to rigctl was empty - fixed
  * RBN monitor didn't show any data when RBN didn't send any operating mode
  * callbook data always replaced data from previous QSO - fixed
  * cqrlog didn't start with broken TRX/Rotor control configuration - fixed
  * fixed loading of MASTER.SCP after downloading new DXCC tables
  * QSO with mode in lower case was market as error and not imported - fixed
  * band map didn't show any data on SSB - fixed
  * after change "Default frequencies", related button in TRX control window didn't go red - fixed
  * QSO count with active filter was wrong after delete or update
  * Remove dupes from the log didn't work - fixed
  * QTH profile was not imported from ADIF - fixed
* Fri Jan  1 2016 dl8fcl@t-online.de
- update to version 1.9.1
  * support sending CW via HamLib library added
  * CW type window is not modal window anymore
  * RBN monitor added
  * TRX configuration improved (you can choose rig from a list
    instead of entering Hamlib rig ID)
  * Remote mode for wsjt added (thanks to Saku, OH1KH)
  * Auto connect to DX cluster added (must be enabled in Preferences)
  * New propagation data courtesy of Paul, N0NBH
  * WAZ and ITU zones are taken from callbook as well
  * export for SOTA version 2 added
  * Export configuration of opened log doesn't reflect recent changes - fixed
  * station that were not added to DX cluster window (because of
    filter criteria) were added to bandmap - fixed
  * station name and QTH is replaced automatically when callsign is
    edited during the qso
  * after edit QSO QTH profile was set to wrong position
  * when trx was tuned on after program started, trx contol didn't work - fixed
  * fixed country recognition for e.g. OK2CQR/XE1, it's XE not OK
  * autobackup failed when QTH profile was not set
  * fixed libmysqlclient dependency
* Thu Mar  5 2015 dl8fcl@darc.de
- update to version 1.9.0
  * configuration can be stored into database or local computer only
  * second directory path to auto backup added
  * Ignore changes caused by LoTW/eQSL upload or download option added
  * CQ and ITU zones are taken from previous QSO if exists
  * added new band map filter
  * CALLSIGN, BAND, MODE, FREQ macros to dxcluster allert command added
  * "Capitalise first letter in QTH field" option added
  * Propagation window improved, now shows more information (Saku, OH1KH)
  * after change of callsign, report, date or time, the QSO was still
    marked as uploaded to LotW/eQSL - fixed
  * LoTW upload - when Export all QSO was selected, only 500 QSO were exported - fixed
  * buttons caption in CW type window didn't use values from settings
  * online log upload of edited QSO fixed
  * uploading QSO to HamQTH fixed
  * downloading data for web dx cluster fixed
* Tue Jan  6 2015 dl8fcl@darc.de
- update to version 1.8.3
  * Added support for setting the QTH Nickname in eQSL.cc download
    dialog (Florian, DF2ET)
  * buttons fom bottom of Preferences window moved to to right side
  * MariaDB 10 support added
  * Rebuild membership statistic dialog was broken - fixed
  * clock icon next to QSO time didn't work in offline mode - fixed
  * after saving Long note "Transaction already active" appeard - fixed
  * loading of dx prediction data fixed
  * sometimes eqsl_sentdate was not filled after upload - fixed
  * "Mark QSLs sent after export" in export for label printing didn't
    work - fixed # after program starts it's waiting for a MySQL
    server in a loop, every second is trying to connect to local
    database, maximum is 8 tries
* Tue Oct  7 2014 dl8fcl@darc.de
- update to version 1.8.2
  * Select Modes in Preferences/New QSO for New QSO Form (Tom, DL7BJ)
  * Load default values for Frequency and Mode in Preferences/New QSO (Tom, DL7BJ)
  * uploading COMMENT field to eQSL is now configurable in Preferences
  * His RST and My RST changed to RST sent/RST rcvd
  * MySQL 5.6 support added
  * web dx cluster works again, it reads data from HamQTH.com
  * added Grayline offset option (sometimes Grayline is not accurate)
  * added button to refresh start and end time of QSO
  * added "Mark all QSO as uploaded to eQSL/LoTW" functions
  * sometimes program loaded configuration from different log - fixed
  * rotctld process still running when cqrlog was closed - fixed
  * export for SOTA website didn't work - fixed
  * upgrade problem with already existing tables fixed
  * LoTW/eQSL were not marked as sent/received after upload/download - fixed
  * Clear log function in Database connection window didn't work - fixed
  * sunrise and sunset times get blanked out when enter a call - fixed
  * export for QSL labels crashed when program has been running for more
    than 5 minutes - fixed
* Wed Jul 30 2014 dl8fcl@darc.de
- update to version 1.8.1
  * program crashed with error about Exceptions.tbl when started for the first
    time
  * after hit enter in New QSO window, it took long time to save QSO
  Version 1.8.0
  * after click to "Upload all" qso to online logs, info about disabled services
    is not shown
  * added new optimized MySQL configuration file (log should be faster and won't
    show error about missing tables)
  * additional date formats for QSL label printing added (Tom, DL7BJ)
  * alert for for callsign on specific mode and band added
  * %%h CW macro added (sends GM/GA/GE calculated from wkd station local time)
  * %%rs CW macro added (sends RST_S and replace 9 with N)
  * design of gridlists can be changed in Preferences/Fonts/Gridlist settings
    (Tom, DL7BJ)
  * additional options to split RST (TX and RX) in three fields for QSL label
    printing (Tom, DL7BJ)
  * K3NG key support added
  * "Use '+' key to add spots to band map" option added to Preferences -> Band
    map
  * program crashed with error about Exceptions.tbl when started for the first
    time
  * Shift+F12 didn't cancel the filtr - fixed
  * "Filter is USED!" info wasn't canceled after click to Sort button (filter
    was disabled)
  * reading signal strength from RBN spots fixed
  * RBN default port is 7000 not 7300 - fixed
  * fixed a bug in DXCC statistics, mode 'Paper QSL only' (Tom, DL7BJ)
  * program crashed after close - fixed
  * program crashed after click to Cancel in DB connection window
  * sunrise, sunse and greeting info was broken - fixed
  * xplanet opened from the "New QSO Window" was not centred on own lattitude
    and longitude
* Tue Apr 15 2014 dl8fcl@darc.de
- update to version 1.7.4
  * F keys to CW type window added
  * address to RBN server can be changed in Preferences
  * full date (not only year,month) is supported in membership files
  * Close the "Status of log upload" window after successful upload added
  * moved to new LoTW url and updated upload routines
  * band button description is editable (Preferences -> TRX control
  - > Change default frequencies)
  * 6W/MM0NDX was marked as unknown country instead of Senegal - fixed
  * after View QSO and CTRL+F2 fields was still read-only - fixed
  * QSL information was added to Commend to QSO even if it already exists
  * '+' character is now allowed in any field in New QSO window
  * log could not recover from a wrong upload of updated QSO - fixed
  * '+' as hotkey to add to bandmap function removed, use CTRL+A instead
  * any result from ClubLog with 'Skipping QSO' won't stop uploading
    of the log
* Thu Feb  6 2014 dl8fcl@darc.de
- update to version 1.7.3
  * after hitting ESC in any window opened from NewQSO, cursor will
    be returned to callsign edit field
  * frequency in New QSO and QSO list wondow is formated to 0.0000
  * added Help -> Keys and shortcut to menu in QSO window
  * bug fixes
* Tue Jan 28 2014 dl8fcl@darc.de
- update to version 1.7.1
    "When TRX control is not active, use frequency and mode from NewQSO
    window" option to Preferences->Band map added
    CTRL+N hotkey to QSO list window added (do NOT send QSL)
* Sun Jan 19 2014 dl8fcl@darc.de
- update to version 1.7.0
    online QSO upload to HamQTH, ClubLog and HRDLog added
    improved QSL managers import, should be faster a bit
    "Long Path" button to Rotor Control added (Darek, SP2MKI)
    COMMENT field is exported to eQSL server
    Always overwrite info from previous QSO with callbook data option added
    help updated
    country files updated
    membership files updated
    layout improved (mostly new QSO window)
* Thu Nov 14 2013 dl8fcl@darc.de
- update to version 1.6.1
    630M band added
    added OQRS (online QSL request system) to QSL sent menu
    added "Always sort by QSO date" option to Search function
    cursor is moved to last opened log in DB connection window
    "Ask before creating a backup" option to "Auto backup" added
    band map is much faster, a few optimalization added
    program freezed for a few miliseconds with every bandmap refresh - fixed
    "MySQL server has gone away" problem fixed
    mebership values collation were case sensistive - fixed
    ADIF import sometimes crashed with access vioalation, now will show what happened
    qrz search with right click on a call in the recent QSOs list didn't work
    band map font settings was not loaded when program started
* Sun Sep 15 2013 dl8fcl@darc.de
- import into build service
